
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.abc.init;

import org.checkerframework.checker.units.qual.N;
import org.checkerframework.checker.units.qual.K;
import org.checkerframework.checker.units.qual.C;
import org.checkerframework.checker.units.qual.A;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredBlock;

import net.minecraft.world.level.block.Block;

import net.mcreator.abc.block.ZBlock;
import net.mcreator.abc.block.YBlock;
import net.mcreator.abc.block.XBlock;
import net.mcreator.abc.block.WBlock;
import net.mcreator.abc.block.VBlock;
import net.mcreator.abc.block.UBlock;
import net.mcreator.abc.block.TBlock;
import net.mcreator.abc.block.SBlock;
import net.mcreator.abc.block.RBlock;
import net.mcreator.abc.block.QBlock;
import net.mcreator.abc.block.PBlock;
import net.mcreator.abc.block.OBlock;
import net.mcreator.abc.block.Number9Block;
import net.mcreator.abc.block.Number8Block;
import net.mcreator.abc.block.Number7Block;
import net.mcreator.abc.block.Number6Block;
import net.mcreator.abc.block.Number5Block;
import net.mcreator.abc.block.Number4Block;
import net.mcreator.abc.block.Number3Block;
import net.mcreator.abc.block.Number2Block;
import net.mcreator.abc.block.Number1Block;
import net.mcreator.abc.block.Number0Block;
import net.mcreator.abc.block.NBlock;
import net.mcreator.abc.block.MBlock;
import net.mcreator.abc.block.LBlock;
import net.mcreator.abc.block.KBlock;
import net.mcreator.abc.block.JBlock;
import net.mcreator.abc.block.IBlock;
import net.mcreator.abc.block.HBlock;
import net.mcreator.abc.block.GBlock;
import net.mcreator.abc.block.FoxPlushBlock;
import net.mcreator.abc.block.FoxMugBlock;
import net.mcreator.abc.block.FBlock;
import net.mcreator.abc.block.EBlock;
import net.mcreator.abc.block.DBlock;
import net.mcreator.abc.block.CBlock;
import net.mcreator.abc.block.BBlock;
import net.mcreator.abc.block.ABlock;
import net.mcreator.abc.AbcMod;

public class AbcModBlocks {
	public static final DeferredRegister.Blocks REGISTRY = DeferredRegister.createBlocks(AbcMod.MODID);
	public static final DeferredBlock<Block> A = REGISTRY.register("a", ABlock::new);
	public static final DeferredBlock<Block> B = REGISTRY.register("b", BBlock::new);
	public static final DeferredBlock<Block> C = REGISTRY.register("c", CBlock::new);
	public static final DeferredBlock<Block> D = REGISTRY.register("d", DBlock::new);
	public static final DeferredBlock<Block> E = REGISTRY.register("e", EBlock::new);
	public static final DeferredBlock<Block> F = REGISTRY.register("f", FBlock::new);
	public static final DeferredBlock<Block> G = REGISTRY.register("g", GBlock::new);
	public static final DeferredBlock<Block> I = REGISTRY.register("i", IBlock::new);
	public static final DeferredBlock<Block> J = REGISTRY.register("j", JBlock::new);
	public static final DeferredBlock<Block> K = REGISTRY.register("k", KBlock::new);
	public static final DeferredBlock<Block> L = REGISTRY.register("l", LBlock::new);
	public static final DeferredBlock<Block> M = REGISTRY.register("m", MBlock::new);
	public static final DeferredBlock<Block> N = REGISTRY.register("n", NBlock::new);
	public static final DeferredBlock<Block> O = REGISTRY.register("o", OBlock::new);
	public static final DeferredBlock<Block> H = REGISTRY.register("h", HBlock::new);
	public static final DeferredBlock<Block> P = REGISTRY.register("p", PBlock::new);
	public static final DeferredBlock<Block> Q = REGISTRY.register("q", QBlock::new);
	public static final DeferredBlock<Block> R = REGISTRY.register("r", RBlock::new);
	public static final DeferredBlock<Block> S = REGISTRY.register("s", SBlock::new);
	public static final DeferredBlock<Block> T = REGISTRY.register("t", TBlock::new);
	public static final DeferredBlock<Block> U = REGISTRY.register("u", UBlock::new);
	public static final DeferredBlock<Block> V = REGISTRY.register("v", VBlock::new);
	public static final DeferredBlock<Block> W = REGISTRY.register("w", WBlock::new);
	public static final DeferredBlock<Block> X = REGISTRY.register("x", XBlock::new);
	public static final DeferredBlock<Block> Y = REGISTRY.register("y", YBlock::new);
	public static final DeferredBlock<Block> Z = REGISTRY.register("z", ZBlock::new);
	public static final DeferredBlock<Block> FOX_PLUSH = REGISTRY.register("fox_plush", FoxPlushBlock::new);
	public static final DeferredBlock<Block> FOX_MUG = REGISTRY.register("fox_mug", FoxMugBlock::new);
	public static final DeferredBlock<Block> NUMBER_1 = REGISTRY.register("number_1", Number1Block::new);
	public static final DeferredBlock<Block> NUMBER_2 = REGISTRY.register("number_2", Number2Block::new);
	public static final DeferredBlock<Block> NUMBER_3 = REGISTRY.register("number_3", Number3Block::new);
	public static final DeferredBlock<Block> NUMBER_4 = REGISTRY.register("number_4", Number4Block::new);
	public static final DeferredBlock<Block> NUMBER_5 = REGISTRY.register("number_5", Number5Block::new);
	public static final DeferredBlock<Block> NUMBER_6 = REGISTRY.register("number_6", Number6Block::new);
	public static final DeferredBlock<Block> NUMBER_7 = REGISTRY.register("number_7", Number7Block::new);
	public static final DeferredBlock<Block> NUMBER_0 = REGISTRY.register("number_0", Number0Block::new);
	public static final DeferredBlock<Block> NUMBER_8 = REGISTRY.register("number_8", Number8Block::new);
	public static final DeferredBlock<Block> NUMBER_9 = REGISTRY.register("number_9", Number9Block::new);
	// Start of user code block custom blocks
	// End of user code block custom blocks
}
